Bug 1462820 - CVE-2017-1000366 glibc: heap/stack gap jumping via unbounded stack allocations [fedora-all]
CVE-2017-1000366 glibc: heap/stack gap jumping via unbounded stack allocation...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
25
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Florian Weimer
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-1000366
  Show dependency treegraph
 
Reported: 2017-06-19 11:46 EDT by Petr Matousek
Modified: 2017-06-27 12:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: glibc-2.25-6.fc26 glibc-2.23.1-12.fc24 glibc-2.24-8.fc25
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 12:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 21624 None None None 2017-06-19 11:47 EDT

  None (edit)
Description Petr Matousek 2017-06-19 11:46:49 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Petr Matousek 2017-06-19 11:46:58 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1452543

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2017-06-20 03:57:24 EDT
glibc-2.25-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d80ab96e61
Comment 3 Fedora Update System 2017-06-20 07:08:20 EDT
glibc-2.23.1-12.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-698daef73c
Comment 4 Fedora Update System 2017-06-20 07:55:08 EDT
glibc-2.24-8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-79414fefa1
Comment 5 Fedora Update System 2017-06-20 23:55:55 EDT
glibc-2.23.1-12.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-698daef73c
Comment 6 Fedora Update System 2017-06-21 00:28:30 EDT
glibc-2.24-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-79414fefa1
Comment 7 Fedora Update System 2017-06-21 02:23:27 EDT
glibc-2.25-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d80ab96e61
Comment 8 Stephen 2017-06-21 08:47:22 EDT
Does this update theoretically constitute a complete fix for the CVE?
Comment 9 Florian Weimer 2017-06-21 08:55:35 EDT
(In reply to Stephen from comment #8)
> Does this update theoretically constitute a complete fix for the CVE?

Yes, but only in the sense that if another similar issue is found, it will receive a different CVE ID.
Comment 10 Stephen 2017-06-21 09:01:42 EDT
Yes, I meant more that there are no more known updates needed to other packages to address this specific CVE. Thanks :)
Comment 11 Florian Weimer 2017-06-21 09:22:05 EDT
(In reply to Stephen from comment #10)
> Yes, I meant more that there are no more known updates needed to other
> packages to address this specific CVE. Thanks :)

There already are related CVE assignments (CVE-2017-1000364 for example).
Comment 12 Fedora Update System 2017-06-22 09:37:15 EDT
glibc-2.25-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-06-22 21:56:55 EDT
glibc-2.24-8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-06-24 16:50:41 EDT
glibc-2.23.1-12.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.